<?php

namespace App\FrontModule\Presenters;

/**
 * Base presenter for all application presenters.
 */
abstract class FrontBasePresenter extends \App\Presenters\BasePresenter
{

	protected function startup()
	{
		parent::startup();
	}

	protected function beforeRender()
	{
		//parent::beforeRender();
		$this->template->moduleName = 'Front';
		$this->template->menu = $this->menuModel->findBy(['lvl' => 1])->order('order ASC');
		$this->template->info = $this->infoModel->findById(1);
	}

}