<?php

namespace App\Model;

class ArticleModel extends BaseModel {

	public function getArticles($menuId) {
		
		return $this->findBy(['menu_id' => $menuId]);
	}

	public function archiveArticle($id)
	{	
		$articleRow = $this->findById($id);
		$articleRow->update(['archived' => !$articleRow->archived]);
		return $articleRow;
	}

	public function toggleVisibility($id)
	{
		$Row = $this->findById($id);
		$Row->update(['visible' => !$Row->visible]);
		return $Row;
	}	
}