/**
 * Confirm dialog plugin
 *
 * @copyright  Copyright (c) 2012 Jan Červený
 * @license    BSD
 * @link       confirmdialog.redsoft.cz
 * @version    1.0
 */

$(function(){
	$('[data-confirm]').on('click', function(event){
		var obj=this;
		event.preventDefault();
		event.stopImmediatePropagation();
		$("<div id='dModal' class='modal fade'><div class='modal-dialog'><div id='dConfirm' class='modal-content'></div></div></div>").appendTo('body');
		$('#dConfirm').html("<div id='dConfirmHeader' class='modal-header'></div><div id='dConfirmBody' class='modal-body'></div><div id='dConfirmFooter' class='modal-footer'></div>");
		$('#dConfirmHeader').html("<button class='close' data-dismiss='modal' aria-hidden='false'>&times;</button><h4 id='dConfirmTitle' class='modal-title'></h4>");
		$('#dConfirmTitle').html($(obj).data('confirm-title'));
		$('#dConfirmBody').html($(obj).data('confirm-text'));
		$('#dConfirmFooter').html("<a id='dConfirmOk' class='btn " + ($(obj).data('confirm-ok-class') ? $(obj).data('confirm-ok-class') : 'btn-danger') + " data-dismiss='modal'>Ano</a><a id='dConfirmCancel' class='btn btn-default' data-dismiss='modal'>Ne</a>");
		if($(obj).data('confirm-header-class')){
		    $('#dConfirmHeader').addClass($(obj).data('confirm-header-class'));
		}
		if($(obj).data('confirm-ok-text')){
		    $('#dConfirmOk').html($(obj).data('confirm-ok-text'));
		}
		
	    $('#dConfirmCancel').html('Zavřít');
		
		$('#dConfirmOk').on('click',function(){
		    if($(obj).hasClass('ajax')){
				$.get(obj.href);

		    } else {
				document.location=obj.href;
		    }
		});
		$('#dModal').on('hidden.bs.modal', function () {
		    $('#dModal').remove();
		});
		$('#dModal').modal('show');
		return false;
	});
});