<?php

namespace App\AdminModule\Presenters;

/**
 * Base presenter for all application presenters.
 */
abstract class AdminBasePresenter extends \App\Presenters\BasePresenter
{	
	/** @var \App\Model\InfoModel @inject */
	public $infoModel;
	
	protected function startup()
	{
		parent::startup();
		$this->user->storage->setNamespace('admin');
		//$this->user->setAuthenticator($this->context->adminAuthenticator);
	}

	protected function beforeRender()
	{
		$this->template->moduleName = 'Admin';
		$this->template->user = $this->user;
		$this->template->info = $this->infoModel->findById(1);
	}
	
}
