<?php

namespace App\Model;

class DocumentModel extends BaseModel {

	public function findByCategoryId($category_id){
		return $this->findBy(array('category_id' => $category_id));
	}

	public function archiveDocument($id)
	{	
		$documentRow = $this->findById($id);
		$documentRow->update(['archived' => !$documentRow->archived]);
		return $documentRow;
	}

	public function toggleVisibility($id)
	{
		$Row = $this->findById($id);
		$Row->update(['visible' => !$documentRow->visible]);
		return $Row;
	}
}