<?php

use Nette\Application\Routers\RouteList,
	Nette\Application\Routers\Route,
	Nette\Application\Routers\SimpleRouter;


/**
 * Router factory.
 */
class RouterFactory
{

	/**
	 * @return Nette\Application\IRouter
	 */
	public function createRouter()
	{

		$router = new RouteList();
		//$router[] = new Route('<presenter>/<action>[/<id>]', 'Homepage:default');

		//default route
		$router[] = new Route('index.php', 'Front:Homepage:default', Route::ONE_WAY);

		//system route
		$admin = new RouteList('Admin');
		$admin[] = new Route('admin/<presenter>/<action>[/<id>]', 'Sign:default');
		$router[] = $admin;

		//front route
		$front = new RouteList('Front');
		$front[] = new Route('[<category>][/<subcategory>][/<subsubcategory>]', 'Homepage:default');
		$router[] = $front;


		return $router;
	}
}