<?php
// source: /Applications/XAMPP/xamppfiles/htdocs/project/app/AdminModule/templates/Article/default.latte

class Template7ebac2f79e65c47522d6611361114e8c extends Latte\Template {
function render() {
foreach ($this->params as $__k => $__v) $$__k = $__v; unset($__k, $__v);
// prolog Latte\Macros\CoreMacros
list($_b, $_g, $_l) = $template->initialize('0b471f8734', 'html')
;
// prolog Latte\Macros\BlockMacros
//
// block content
//
if (!function_exists($_b->blocks['content'][] = '_lb0d33b3377d_content')) { function _lb0d33b3377d_content($_b, $_args) { foreach ($_args as $__k => $__v) $$__k = $__v
?><h2><?php echo Latte\Runtime\Filters::escapeHtml($menuRow->name, ENT_NOQUOTES) ?>/Články</h2>
<br>
<div class="clearfix">
	<a class="btn btn-default pull-left" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Menu:"), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-menu-left"></span> Zpět</a>
	<a class="btn btn-success pull-right" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Article:new", array($menuRow->id)), ENT_COMPAT) ?>
">Přidat nový článek</a>
</div>
<br>
<h4>Aktivní články</h4>
<table class="table table-striped">	
	<tr>
		<th>Název</th>
		<th>Vytvořeno</th>
		<th>Zobrazeno do</th>
		<th>Akce</th>
	</tr>
<?php if (sizeOf($articles) > 0) { $iterations = 0; foreach ($articles as $article) { ?>
			<tr>
				<td><a href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Article:edit", array($article->id)), ENT_COMPAT) ?>
"><?php echo Latte\Runtime\Filters::escapeHtml($article->name, ENT_NOQUOTES) ?></a></td>
				<td><?php echo Latte\Runtime\Filters::escapeHtml($template->date($article->created, 'j.n.Y'), ENT_NOQUOTES) ?></td>
				<td><?php echo Latte\Runtime\Filters::escapeHtml($template->date($article->date_end, 'j.n.Y'), ENT_NOQUOTES) ?></td>
				<td>
					<a class="btn btn-success btn-xs has-tooltip" title="Upravit článek" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Article:edit", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-pencil"></span></a>					
<?php if ($article->visible === 0) { ?>
						<a class="btn btn-success btn-xs has-tooltip" title="Skrýt článek ve výpisu" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("toggleVisibility!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-eye-open"></span></a>
<?php } else { ?>
						<a class="btn btn-danger btn-xs has-tooltip" title="Zobrazit článek ve výpisu" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("toggleVisibility!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-eye-close"></span></a>
<?php } ?>
					<a class="btn btn-info btn-xs has-tooltip" title="Archivovat článek"
					       data-confirm="modal"
					       data-confirm-title="Archivace článku"				       
					       data-confirm-text="Opravdu chcete archivovat tento článek?"
					       data-confirm-ok-class="btn-info"
					       data-confirm-ok-text="Archivovat"
					       data-confirm-cancel-class="btn-default"
					       data-confirm-cancel-text="Zavřít" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("archiveArticle!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-paste"></span></a>
<?php if ($user->isInRole('superadmin')) { ?>					<a class="btn btn-danger btn-xs has-tooltip" title="Odstranit článek" id="removeMenu"
					   data-confirm="modal"
					   data-confirm-title="Odstranění článku"				       
					   data-confirm-text="Opravdu chcete odstranit tento článek?"
					   data-confirm-ok-class="btn-danger"
					   data-confirm-ok-text="Odstranit"
					   data-confirm-cancel-class="btn-default"
					   data-confirm-cancel-text="Zavřít" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("removeArticle!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-remove"></span></a>
<?php } ?>
				</td>
			</tr>
<?php $iterations++; } } else { ?>
		<tr>
			<td colspan="4">Nebyly nalezeny žádné články</td>
		</tr>
<?php } ?>
</table>

<h4>Archivované články</h4>
<table class="table table-striped">	
	<tr>
		<th>Název</th>
		<th>Vytvořeno</th>
		<th>Zobrazeno do</th>
		<th>Akce</th>
	</tr>
<?php if (sizeOf($archivedArticles) > 0) { $iterations = 0; foreach ($archivedArticles as $article) { ?>
			<tr>
				<td><a href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Article:edit", array($article->id)), ENT_COMPAT) ?>
"><?php echo Latte\Runtime\Filters::escapeHtml($article->name, ENT_NOQUOTES) ?></a></td>
				<td><?php echo Latte\Runtime\Filters::escapeHtml($template->date($article->created, 'j.n.Y'), ENT_NOQUOTES) ?></td>
				<td><?php echo Latte\Runtime\Filters::escapeHtml($template->date($article->date_end, 'j.n.Y'), ENT_NOQUOTES) ?></td>
				<td>
					<a class="btn btn-success btn-xs has-tooltip" title="Upravit článek" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link(":Admin:Article:edit", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-pencil"></span></a>					
<?php if ($article->visible === 0) { ?>
						<a class="btn btn-success btn-xs has-tooltip" title="Skrýt článek ve výpisu" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("toggleVisibility!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-eye-open"></span></a>
<?php } else { ?>
						<a class="btn btn-danger btn-xs has-tooltip" title="Zobrazit článek ve výpisu" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("toggleVisibility!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-eye-close"></span></a>
<?php } ?>
					<a title="Zrušit archivaci"
							data-confirm="modal"
					       data-confirm-title="Obnovení článku"				       
					       data-confirm-text="Opravdu chcete obnovit tento článek?"
					       data-confirm-ok-class="btn-info"
					       data-confirm-ok-text="Obnovit"
					       data-confirm-cancel-class="btn-default"
					       data-confirm-cancel-text="Zavřít" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("archiveArticle!", array($article->id)), ENT_COMPAT) ?>
"<?php if ($_l->tmp = array_filter(array('btn', 'btn-xs', 'has-tooltip', $article->date_end < $actualTime ? 'disabled btn-default' : 'btn-info'))) echo ' class="' . Latte\Runtime\Filters::escapeHtml(implode(" ", array_unique($_l->tmp)), ENT_COMPAT) . '"' ?>><span class="glyphicon glyphicon-refresh"></span></a>
					<a class="btn btn-danger btn-xs has-tooltip" title="Odstranit článek" id="removeMenu"
					   data-confirm="modal"
					   data-confirm-title="Odstranění článku"				       
					   data-confirm-text="Opravdu chcete odstranit tento článek?"
					   data-confirm-ok-class="btn-danger"
					   data-confirm-ok-text="Odstranit"
					   data-confirm-cancel-class="btn-default"
					   data-confirm-cancel-text="Zavřít" href="<?php echo Latte\Runtime\Filters::escapeHtml($_control->link("removeArticle!", array($article->id)), ENT_COMPAT) ?>
"><span class="glyphicon glyphicon-remove"></span></a>
				</td>
			</tr>
<?php $iterations++; } } else { ?>
		<tr>
			<td colspan="4">Nebyly nalezeny žádné články</td>
		</tr>
<?php } ?>
</table><?php
}}

//
// end of blocks
//

// template extending

$_l->extends = empty($_g->extended) && isset($_control) && $_control instanceof Nette\Application\UI\Presenter ? $_control->findLayoutTemplateFile() : NULL; $_g->extended = TRUE;

if ($_l->extends) { ob_start();}

// prolog Nette\Bridges\ApplicationLatte\UIMacros

// snippets support
if (empty($_l->extends) && !empty($_control->snippetMode)) {
	return Nette\Bridges\ApplicationLatte\UIMacros::renderSnippets($_control, $_b, get_defined_vars());
}

//
// main template
//
if ($_l->extends) { ob_end_clean(); return $template->renderChildTemplate($_l->extends, get_defined_vars()); }
call_user_func(reset($_b->blocks['content']), $_b, get_defined_vars()) ; 
}}